cl.cromer.estructuras

## Interface ListaEnlace

All Known Implementing Classes:
  ListaEnlaceCircular, ListaEnlaceNormal

    interface ListaEnlace

Esta interfaz es para los 2 arbolTipo de enlace, `ListaEnlaceNormal` y `ListaEnlaceCircular`.

Author:
  Chris Cromer

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getLlave()` Devolver la llave.
`java.lang.Object` `getPrevio()` Devolver el enlace previo.
`java.lang.Object` `getSiguiente()` Devolver el siguente enlace.
`void` `setLlave(int llave)` Cambiar el valor de la llave.
`void` `setPrevio(java.lang.Object previo)` Cambiar el previo enlace.
`void` `setSiguiente(java.lang.Object siguiente)` Cambiar el siguiente enlace.

### Method Detail

#### getLlave

    int getLlave()

Devolver la llave.

Returns:
  int: La llave.

#### setLlave

    void setLlave(int llave)

Cambiar el valor de la llave.

Parameters:
  `llave` - int: El valor de la llave.

#### getSiguiente

    java.lang.Object getSiguiente()

Devolver el siguente enlace.

Returns:
  Object: El enlace a devolver.

#### setSiguiente

    void setSiguiente(java.lang.Object siguiente)

Cambiar el siguiente enlace.

Parameters:
  `siguiente` - Object: El siguiente enlace nuevo.

#### getPrevio

    java.lang.Object getPrevio()

Devolver el enlace previo.

Returns:
  Object: El enlace previo.

#### setPrevio

    void setPrevio(java.lang.Object previo)

Cambiar el previo enlace.

Parameters:
  `previo` - Object: El enlace previo nuevo.